"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "su-image",
  props: {
    src: {
      type: String,
      default: ""
    },
    errorSrc: {
      type: String,
      default: "/static/img/shop/empty_network.png"
    },
    mode: {
      type: String,
      default: "widthFix"
    },
    isPreview: {
      type: Boolean,
      default: false
    },
    previewList: {
      type: Array,
      default() {
        return [];
      }
    },
    current: {
      type: Number,
      default: -1
    },
    height: {
      type: Number,
      default: 0
    },
    width: {
      type: Number,
      default: 0
    },
    radius: {
      type: Number,
      default: 0
    }
  },
  emits: ["load", "error"],
  setup(__props, { emit: __emit }) {
    const state = common_vendor.reactive({
      isError: false,
      imgHeight: 600
    });
    const props = __props;
    const emits = __emit;
    const customStyle = common_vendor.computed(() => {
      return {
        height: (props.height || state.imgHeight) + "rpx",
        width: props.width ? props.width + "rpx" : "100%",
        borderRadius: props.radius ? props.radius + "rpx" : ""
      };
    });
    function onImgLoad(e) {
      if (props.height === 0) {
        state.imgHeight = e.detail.height / e.detail.width * 750;
      }
    }
    function onImgError(e) {
      state.isError = true;
      emits("error", e);
    }
    function onImgPreview() {
      if (!props.isPreview)
        return;
      common_vendor.index.previewImage({
        urls: props.previewList.length < 1 ? [props.src] : props.previewList,
        current: props.current,
        longPressActions: {
          itemList: ["发送给朋友", "保存图片", "收藏"],
          success: function(data) {
            console.log("选中了第" + (data.tapIndex + 1) + "个按钮,第" + (data.index + 1) + "张图片");
          },
          fail: function(err) {
            console.log(err.errMsg);
          }
        }
      });
    }
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: !state.isError
      }, !state.isError ? {
        b: common_vendor.s(customStyle.value),
        c: __props.mode,
        d: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.src),
        e: common_vendor.o(onImgPreview),
        f: common_vendor.o(onImgLoad),
        g: common_vendor.o(onImgError)
      } : {});
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ed9e576c"], ["__file", "D:/zx/mall-front-app/sheep/ui/su-image/su-image.vue"]]);
wx.createComponent(Component);
